Bug 503337 - SELinux is preventing kdm (xdm_t) "unlink" to .Xauthority (user_home_t)
SELinux is preventing kdm (xdm_t) "unlink" to .Xauthority (user_home_t)
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-05-31 09:12 EDT by Kvikende
Modified: 2009-09-18 01:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-18 01:21:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the selinux alert (2.47 KB, text/plain)
2009-05-31 09:12 EDT, Kvikende
no flags Details

  None (edit)
Description Kvikende 2009-05-31 09:12:39 EDT
Created attachment 346008 [details]
the selinux alert

Description of problem:
I logged in to my desktop and I saw SElinux blinking about requiring attention. There I saw thatSELinux has prevented kdm to unlink .Xauthority. I have no idea what it means but since kdm is trustable, it seems odd that SELinux should block that behaviour. Why would kdm do it if it wasn't intended? :S

Version-Release number of selected component (if applicable):

How reproducible:
I don't know exactly. I have it set to autologin into the last desktop I used which is, at the moment, GNOME. However I like kdm much better than gdm so I'm using it.
Comment 1 Daniel Walsh 2009-06-01 08:20:40 EDT
Fixed in selinux-policy-3.6.12-44.fc11
Comment 2 Bug Zapper 2009-06-09 12:53:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.